// 
// Patron pour la generation d'une classe derivee dans ROOT
// FH2Att derive de FHistAtt
// 
 
#ifndef FH2Att_h 
#define FH2Att_h 
 
#include "FHistAtt.h" 
 
class FH2Att : public FHistAtt { 
 
   protected:
   	Double_t xMinInit;
	Double_t xMaxInit;
   	Double_t yMinInit;
	Double_t yMaxInit;
	Bool_t canRebin;

   protected: 
        virtual void  Init(void);       // initialisation 
 
   public:	 
   	FH2Att(void);    // constructeur par defaut 
	FH2Att(const FH2Att &ap); // constructeur par copie 
	
	~FH2Att(void);		// desctructeur; 
	 
#if ROOT_VERSION_CODE >= ROOT_VERSION(3,4,0)
   	virtual void CopyHistAtt(FHistAtt & obj) const;
#else
   	virtual void CopyHistAtt(FHistAtt & obj);
#endif
	FH2Att& operator = (const FH2Att &hp); // operateur = 
 
	virtual void SetParamX(FParam *p);
	virtual FParam *GetParamX(void);
	virtual void SetParamY(FParam *p);
	virtual FParam *GetParamY(void);
	virtual void FillHist(Stat_t w=1.);

 	virtual void WriteInFile(ofstream &fout);
 	virtual Bool_t  ReadInFile(ifstream &fin, TList *lop);
	virtual TList *GenericBuilding(TList *lop=0,TList *los=0,
				      FGenericName *name=0,
				      FGenericName *title=0,
				      FGenericName *paramX=0,
				      Int_t nx=0,Double_t xmin=0.,Double_t xmax=0.,
				      FGenericName *paramY=0,
				      Int_t ny=0,Double_t ymin=0.,Double_t ymax=0.,
				      FGenericName *cond=0);
 
   	virtual void ResetToInit(Option_t *option="");

    ClassDef(FH2Att,1)
 
}; 
 
#endif 
 
